"""
Author: Michel Peltriaux
Organization: Struktur- und Genehmigungsdirektion Nord, Rhineland-Palatinate, Germany
Contact: michel.peltriaux@sgdnord.rlp.de
Created on: 23.08.21

"""

# Codelist definitions
CODELIST_BASE_URL = "https://codelisten.naturschutz.rlp.de/repository/referenzliste"

# Identifier
CODELIST_INTERVENTION_HANDLER_ID = 903  # CLMassnahmeträger
CODELIST_CONSERVATION_OFFICE_ID = 907  # CLNaturschutzbehörden
CODELIST_REGISTRATION_OFFICE_ID = 1053  # CLZulassungsbehörden
CODELIST_BIOTOPES_ID = 974  # CL_EIV_Biotoptypen
CODELIST_LAW_ID = 1048  # CLVerfahrensrecht

CODELIST_COMPENSATION_HANDLER_ID = 1052  # CLEingreifer
CODELIST_COMPENSATION_ACTION_ID = 1026  # CLMassnahmedetail
CODELIST_COMPENSATION_ACTION_CLASS_ID = 1034  # CLMassnahmeklasse
CODELIST_COMPENSATION_ADDITIONAL_TYPE_ID = 1028  # CLMassnahmetyp
CODELIST_COMPENSATION_COMBINATION_ID = 1049  # CLKombimassnahme
